Share via


Operation Progress - Get

Get the operation result for a long running operation.

GET https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.DBforMySQL/locations/{locationName}/operationProgress/{operationId}?api-version=2024-12-30

URI Parameters

Name In Required Type Description
locationName
path True

string

minLength: 1
pattern: ^[ \w]+$

The name of the location.

operationId
path True

string

minLength: 1

The ID of an ongoing async operation.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

OperationProgressResult

Azure operation completed successfully.

Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

OperationProgress_Get BackupAndExport
OperationProgress_Get ImportFromStorage

OperationProgress_Get BackupAndExport

Sample request

GET https://management.azure.com/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/providers/Microsoft.DBforMySQL/locations/westus/operationProgress/00000000-0000-0000-0000-000000000000?api-version=2024-12-30

Sample response

{
  "name": "00000000-0000-0000-0000-000000000000",
  "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/providers/Microsoft.DBforMySQL/locations/westus/operationProgress/00000000-0000-0000-0000-000000000000",
  "percentComplete": 10,
  "properties": {
    "backupMetadata": "{\"key1\":\"value1\",\"key2\":\"value2\"}",
    "dataTransferredInBytes": 102,
    "datasourceSizeInBytes": 1024,
    "objectType": "BackupAndExportResponse"
  },
  "startTime": "2023-11-29T07:34:02.328326Z",
  "status": "InProgress"
}

OperationProgress_Get ImportFromStorage

Sample request

GET https://management.azure.com/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/providers/Microsoft.DBforMySQL/locations/westus/operationProgress/00000000-0000-0000-0000-000000000000?api-version=2024-12-30

Sample response

{
  "name": "00000000-0000-0000-0000-000000000000",
  "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/providers/Microsoft.DBforMySQL/locations/westus/operationProgress/00000000-0000-0000-0000-000000000000",
  "percentComplete": 10,
  "properties": {
    "estimatedCompletionTime": "2023-11-29T08:34:02.328326Z",
    "objectType": "ImportFromStorageResponse"
  },
  "startTime": "2023-11-29T07:34:02.328326Z",
  "status": "InProgress"
}

Definitions

Name Description
BackupAndExportResponseType

BackupAndExport Response Properties

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

ImportFromStorageResponseType

ImportFromStorage Response Properties

ObjectType

Identifies the type of source operation

OperationProgressResult

Represents Operation Results API Response

OperationStatusResult

The current status of an async operation.

BackupAndExportResponseType

BackupAndExport Response Properties

Name Type Description
backupMetadata

string

Metadata related to backup to be stored for restoring resource in key-value pairs.

dataTransferredInBytes

integer (int64)

Data transferred in bytes

datasourceSizeInBytes

integer (int64)

Size of datasource in bytes

objectType string:

BackupAndExportResponse

Identifies the type of source operation

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

ImportFromStorageResponseType

ImportFromStorage Response Properties

Name Type Description
estimatedCompletionTime

string (date-time)

The estimated time of operation completion.

objectType string:

ImportFromStorageResponse

Identifies the type of source operation

ObjectType

Identifies the type of source operation

Value Description
BackupAndExportResponse
ImportFromStorageResponse

OperationProgressResult

Represents Operation Results API Response

Name Type Description
endTime

string (date-time)

The end time of the operation.

error

ErrorDetail

If present, details of the operation error.

id

string (arm-id)

Fully qualified ID for the async operation.

name

string

Name of the async operation.

operations

OperationStatusResult[]

The operations list.

percentComplete

number

minimum: 0
maximum: 100

Percent of the operation that is complete.

properties OperationProgressResponseType:

The response properties specific to the operation

resourceId

string (arm-id)

Fully qualified ID of the resource against which the original async operation was started.

startTime

string (date-time)

The start time of the operation.

status

string

Operation status.

OperationStatusResult

The current status of an async operation.

Name Type Description
endTime

string (date-time)

The end time of the operation.

error

ErrorDetail

If present, details of the operation error.

id

string (arm-id)

Fully qualified ID for the async operation.

name

string

Name of the async operation.

operations

OperationStatusResult[]

The operations list.

percentComplete

number

minimum: 0
maximum: 100

Percent of the operation that is complete.

resourceId

string (arm-id)

Fully qualified ID of the resource against which the original async operation was started.

startTime

string (date-time)

The start time of the operation.

status

string

Operation status.